# wxDataViewProgressRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataview.h>`

Inheritance diagram for wxDataViewProgressRenderer:
[legend]

## Detailed Description

This class is used by wxDataViewCtrl to render progress bars.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewProgressRenderer (const wxString &label=wxEmptyString, const wxString &varianttype="long", wxDataViewCellMode mode=wxDATAVIEW_CELL_INERT, int align=wxDVR_DEFAULT_ALIGNMENT)
| The ctor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewProgressRenderer::wxDataViewProgressRenderer | ( | const wxString & | label = `wxEmptyString`,
|  | const wxString & | varianttype = `"long"`,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_INERT`,
|  | int | align = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

The ctor.

|  | [ top ]